﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ExportMultipleTDB_OneExcel_MultipleSheets_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        int i = 1;
        private void Button1_Click(object sender, EventArgs e)
        {

            i = 1;
            //*************************************************************
            // Export Multiple TDBGrids to multiple sheets of one Excel file
            string path = Application.StartupPath;
            int pos = path.IndexOf("\\bin");
            path = path.Substring(0, pos);

            string tempdir = Application.ExecutablePath.Substring(0, Application.ExecutablePath.LastIndexOf("\\") + 1);
            string xlsFileName = tempdir + "CombineSheets.xls";
            if (System.IO.File.Exists(xlsFileName))
            {
                System.IO.File.Delete(xlsFileName);
            }

            // clear the book
            C1XLBook1.Clear();
            C1XLBook1.Sheets.Clear();
            string fileName = null;

            foreach (string fileName_loopVariable in System.IO.Directory.GetFiles(path, "*.xls"))
            {
                fileName = fileName_loopVariable;
                // load Excel file
                C1.C1Excel.C1XLBook book = new C1.C1Excel.C1XLBook();
                book.Load(fileName);

                // clone and rename first sheet (sheet names must be unique)
                C1.C1Excel.XLSheet clone = book.Sheets[0].Clone();
                clone.Name = "Sheet" + i;
                i = i + 1;
                // add cloned sheet to main book
                C1XLBook1.Sheets.Add(clone);
            }
            C1XLBook1.Save(xlsFileName);
            System.Diagnostics.Process.Start(xlsFileName);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet dtsetcol9 = new DataSet();
            string xmlPath9 = null;
            xmlPath9 = "..\\\\..\\\\Receiver.xml";
            dtsetcol9.Clear();
            dtsetcol9.ReadXml(xmlPath9);
            this.C1TrueDBGrid1.DataSource = dtsetcol9.Tables[0];

            DataSet dtsetcol10 = new DataSet();
            string xmlPath10 = null;
            xmlPath10 = "..\\\\..\\\\Safety.xml";
            dtsetcol10.Clear();
            dtsetcol10.ReadXml(xmlPath10);
            this.C1TrueDBGrid2.DataSource = dtsetcol10.Tables[0];
            C1TrueDBGrid1.ExportToExcel("..\\..\\Excel1.xls", true);
            C1TrueDBGrid2.ExportToExcel("..\\..\\Excel2.xls", true);
        }
    }
}
